Subject: bug#56682: Fix the long lines font locking related slowdowns

From: Gregory Heytings <[email-masked]>
Date: Sun, 07 Aug 2022 00:44:14 +0000

>
> The sole (big) exception is CC Mode, but its internals aren't compatible 
> with the current forced narrowing either, and Gregory said it's not 
> important in the context of long lines or large files anyway.
>

I did not say that, no.  What I can say is that the way CC Mode (ab)uses 
font locking is very unfortunate, and that it is indeed, as far as I can 
tell, incompatible with locked narrowing.